Bug 1373158 (rhel7-chacha20-nss) - CHACHA20-POLY1305 in NSS
Summary: CHACHA20-POLY1305 in NSS
Status: CLOSED ERRATA
Alias: rhel7-chacha20-nss
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss-softokn
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Daiki Ueno
QA Contact: Hubert Kario
Mirek Jahoda
URL:
Whiteboard:
Keywords: Rebase
Depends On: 1369055
Blocks: 1377248 1371038 1373157
TreeView+ depends on / blocked
 
Reported: 2016-09-05 11:33 UTC by Nikos Mavrogiannopoulos
Modified: 2017-08-01 16:47 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-01 16:47:42 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1977 normal SHIPPED_LIVE nss bug fix and enhancement update 2017-08-01 17:57:47 UTC
Mozilla Foundation 1354152 None None None 2019-03-19 15:32 UTC

Comment 1 Nikos Mavrogiannopoulos 2016-09-05 11:34:04 UTC
The CHACHA20-POLY1305 algorithm is specified in rfc7539, and is being adopted by TLS 1.3 and IPSec (rfc7634). It is becoming the de-facto backup algorithm of AES-GCM (implemented in all major browsers), and is being included into all major crypto libraries. 

We should include chacha20-poly1305 in RHEL7 when possible.

Comment 3 Kai Engert (:kaie) (inactive account) 2016-09-28 18:42:06 UTC
Does this inclusion require a change to nss-softokn?

If yes, this cannot be done for RHEL 7.3, where nss-softokn is currently expected to remain frozen.

We have full flexibility for RHEL 7.4, which is expected to rebase all of NSS, including nss-softokn.

Upstream NSS has support ChaCha for TLS since upstream release NSS 3.25, and I see that code with that name has been added to the NSS freebl and softokn directories.

We intend to rebase RHEL 7.4 to version NSS 3.28, because it will be required for Firefox 52.

Based on current releases schedules, NSS 3.28 should be ready by mid November.

Comment 4 Kai Engert (:kaie) (inactive account) 2016-09-28 18:43:24 UTC
Bob, can we assume that the upstream NSS implementation of ChaCha is sufficiently complete to satisfy Nikos' expectations?

Is there anything necessary to verify/test the upstream implementation, that should be done prior to the release of NSS 3.28 mid November?

Comment 5 Kai Engert (:kaie) (inactive account) 2016-09-28 18:44:08 UTC
Assigning to Daiki, as this will likely be covered by the expected rebase.

Comment 6 Bob Relyea 2016-09-28 22:54:31 UTC
The upstream implementation should be sufficient.

Comment 20 errata-xmlrpc 2017-08-01 16:47:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1977


Note You need to log in before you can comment on or make changes to this bug.